db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kristian Waagan <Kristian.Waa...@Sun.COM>
Subject Re: question about java/testing/org/apache/derby/build.xml file
Date Tue, 20 Nov 2007 10:09:50 GMT
Kathey Marsden wrote:
> Kathey Marsden wrote:
>>                <!-- Fix this to use the Java SE 5 classpath -->
>>                <pathelement path="${java16compile.classpath}"/>
>>
>> but it uses java16compile.classpath. I found that this causes my build 
>> to fail  using IBM 1.6 jdk.
> Thanks all for responding. I think that this may be a bug with the jdk 
> as it works ok on Windows and the sun 1.6 jdk.  I'll approach it from 
> that angle.

Hi Kathey,

I introduced the code you refer to as part of DERBY-3149, and it is 
mentioned in that Jira that the compile classpath has to be changed. 
There are no Java SE 6 dependencies in the code being compiled, but it 
cannot be compiled with the 1.4.2 JDK.

Note that the target will not be executed if there is no Java SE 6 
compiler specified. This check is wired into the 'pptesting' target in 
the root-level build.xml.

The issue won't be closed until the classpath has been changed.



-- 
Kristian

> 
> 
> Kathey
> 
> 


Mime
View raw message